{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine get_property, end_dialog\r\ndeclare function msg, send_event\r\n\r\n$INSERT LOGICAL\r\n$INSERT MSG_EQUATES\r\n\r\nPInfo = Get_Property( @WINDOW, '@PINFO' )\r\n\r\nPassWord = Get_Property(@WINDOW:'.PASSWORD','TEXT')\r\n\r\nIF Password = PInfo<1,2> THEN\r\n\r\n\tEnd_Dialog( @WINDOW,TRUE$ )\r\n\t\r\nEND ELSE\r\n\r\n\tMsgInfo = ''\r\n\tMsgInfo<mtext$> = 'Password entered incorrectly...'\r\n\tMsgInfo<micon$> = 'H'\r\n\t\r\n\tVoid = Msg( '', MsgInfo )\r\n\t\r\n\tEnd_Dialog( @WINDOW,false$ )\r\nEND\r\n\r\n\r\nRETURN 0"
        }
    }
}